[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IStreamPersist.LoadFromStream

Load persistent data from stream.

## Declaration

Source position: classesh.inc line 1006

`procedure IStreamPersist.LoadFromStream(`
`Stream: TStream`
`);`

## Description

LoadFromStream is the method called when the object should load it's state from the stream stream. It should be able to read the data which was written using the SavetoStream method.

## See also

TPersistent |  | Base class for streaming system and persistent properties.
TComponent |  | Base class for all components that need owner-owned functionality.
TStream |  | Base class for streams.
IStreamPersist.SaveToStream |  | Save persistent data to stream.